
From: Pavel Machek <pavel@ucw.cz>

This fixes u32 vs.  pm_message_t confusion in drivers/video.  Should change no
code.

Signed-off-by: Pavel Machek <pavel@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/backlight/corgi_bl.c     |    2 +-
 25-akpm/drivers/video/pxafb.c                  |    2 +-
 25-akpm/drivers/video/sa1100fb.c               |    2 +-
 25-akpm/drivers/video/savage/savagefb_driver.c |    4 ++--
 25-akpm/drivers/video/w100fb.c                 |    2 +-
 5 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/video/backlight/corgi_bl.c~fix-u32-vs-pm_message_t-in-driver-video drivers/video/backlight/corgi_bl.c
--- 25/drivers/video/backlight/corgi_bl.c~fix-u32-vs-pm_message_t-in-driver-video	2005-04-06 01:38:10.000000000 -0700
+++ 25-akpm/drivers/video/backlight/corgi_bl.c	2005-04-06 01:38:10.000000000 -0700
@@ -81,7 +81,7 @@ static void corgibl_blank(int blank)
 }
 
 #ifdef CONFIG_PM
-static int corgibl_suspend(struct device *dev, u32 state, u32 level)
+static int corgibl_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	if (level == SUSPEND_POWER_DOWN)
 		corgibl_blank(FB_BLANK_POWERDOWN);
diff -puN drivers/video/pxafb.c~fix-u32-vs-pm_message_t-in-driver-video drivers/video/pxafb.c
--- 25/drivers/video/pxafb.c~fix-u32-vs-pm_message_t-in-driver-video	2005-04-06 01:38:10.000000000 -0700
+++ 25-akpm/drivers/video/pxafb.c	2005-04-06 01:38:10.000000000 -0700
@@ -942,7 +942,7 @@ pxafb_freq_policy(struct notifier_block 
  * Power management hooks.  Note that we won't be called from IRQ context,
  * unlike the blank functions above, so we may sleep.
  */
-static int pxafb_suspend(struct device *dev, u32 state, u32 level)
+static int pxafb_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	struct pxafb_info *fbi = dev_get_drvdata(dev);
 
diff -puN drivers/video/sa1100fb.c~fix-u32-vs-pm_message_t-in-driver-video drivers/video/sa1100fb.c
--- 25/drivers/video/sa1100fb.c~fix-u32-vs-pm_message_t-in-driver-video	2005-04-06 01:38:10.000000000 -0700
+++ 25-akpm/drivers/video/sa1100fb.c	2005-04-06 01:38:10.000000000 -0700
@@ -1307,7 +1307,7 @@ sa1100fb_freq_policy(struct notifier_blo
  * Power management hooks.  Note that we won't be called from IRQ context,
  * unlike the blank functions above, so we may sleep.
  */
-static int sa1100fb_suspend(struct device *dev, u32 state, u32 level)
+static int sa1100fb_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	struct sa1100fb_info *fbi = dev_get_drvdata(dev);
 
diff -puN drivers/video/savage/savagefb_driver.c~fix-u32-vs-pm_message_t-in-driver-video drivers/video/savage/savagefb_driver.c
--- 25/drivers/video/savage/savagefb_driver.c~fix-u32-vs-pm_message_t-in-driver-video	2005-04-06 01:38:10.000000000 -0700
+++ 25-akpm/drivers/video/savage/savagefb_driver.c	2005-04-06 01:38:10.000000000 -0700
@@ -2103,7 +2103,7 @@ static void __devexit savagefb_remove (s
 	}
 }
 
-static int savagefb_suspend (struct pci_dev* dev, u32 state)
+static int savagefb_suspend (struct pci_dev* dev, pm_message_t state)
 {
 	struct fb_info *info =
 		(struct fb_info *)pci_get_drvdata(dev);
@@ -2118,7 +2118,7 @@ static int savagefb_suspend (struct pci_
 	release_console_sem();
 
 	pci_disable_device(dev);
-	pci_set_power_state(dev, state);
+	pci_set_power_state(dev, pci_choose_state(dev, state));
 
 	return 0;
 }
diff -puN drivers/video/w100fb.c~fix-u32-vs-pm_message_t-in-driver-video drivers/video/w100fb.c
--- 25/drivers/video/w100fb.c~fix-u32-vs-pm_message_t-in-driver-video	2005-04-06 01:38:10.000000000 -0700
+++ 25-akpm/drivers/video/w100fb.c	2005-04-06 01:38:10.000000000 -0700
@@ -544,7 +544,7 @@ static void w100fb_clear_buffer(void)
 
 
 #ifdef CONFIG_PM
-static int w100fb_suspend(struct device *dev, u32 state, u32 level)
+static int w100fb_suspend(struct device *dev, pm_message_t state, u32 level)
 {
 	if (level == SUSPEND_POWER_DOWN) {
 		struct fb_info *info = dev_get_drvdata(dev);
_
